# ListCommunicationCertificates

Retrieve all communication certificates.

`GET /companies/{companyId}/communication-certificates`

**API:** AvaTax API
**Tag:** CommunicationCertificates
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/CommunicationCertificates/ListCommunicationCertificates/

## Description

List all communication certificates that can be seen by the current user.
            
This API lists all communication certificates you are allowed to see.
            
Search for specific objects using the criteria in the `$filter` parameter; full documentation is available on [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/) .
Paginate your results using the `$top`, `$skip`, and `$orderby` parameters.  
For more information about filtering in REST, please see the documentation at http://developer.avalara.com/avatax/filtering-in-rest/ .

### Security Policies

* This API depends on the following active services:*Required* (all):  ECMPremiumComms, ECMProComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* EffectiveDate, ExpirationDate, TaxNumber, Exemptions |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `companyId` | integer | path | Yes | The ID number of the company to search |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CommunicationCertificateResponsePage` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `CommunicationCertificateResponsePage`

Encloses count and model value details

| Property | Type | Required | Description |
|---|---|---|---|
| `count` | integer | No | Count of records |
| `value` | CommunicationCertificateResponse[] | No | Requested model list |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/companies/{companyId}/communication-certificates" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```